[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Pidgin Plan for FC-6



FC-5 will remain with gaim-1.5.0 and upgrade into pidgin-1.5.X if necessary for a security update.

FC-6 will upgrade to pidgin-2.0.0 to match the F7 version. Unfortunately this will be a bumpy ride due to various factors: - pidgin would need to be built and pushed in FE-6 in order to build against stuff in Extras, instead of FC-6 like gaim. This currently means no updates-testing is possible. - This would break nautilus-sendto which links against gaim in Core. We dealt with this in F7 by temporarily disabling the link to gaim from nautilus-sendto until the merge. We could do the same thing here. nautilus-sendto can regain the ability to Send To Pidgin after FC-6 is merged. - Ready plugins: meanwhile (built by main pidgin package), otr (fixed and built againnst pidgin, but confusingly still named gaim-otr... that should be fixed proactively and allow upstream to follow later IMHO.) - A few plugins in process: gaym, galago, libnotify, guifications. cweyl and nosnilmot are attempting to get the plugins fixed ASAP. It isn't exactly helping that upstream isn't cooperating...

Out of all the broken plugins, only gaym is an actual protocol and fairly close to getting fixed. The others are less important to the function of pidgin... will only cause temporary annoyance.

Proposal
========
1) Push pidgin-2.0.0 to FE-6 ASAP. Suddenly broken plugins will be a kick-in-the-ass to get themselves fixed sooner.
2) Allow the remaining plugin packages to follow.
3) After FC-6 is merged, rehook nautilus-sendto into pidgin.

I don't think we should leave gaim in FC-6 stagnant anymore. JUST DOING IT at this point wont be so painful to existing users, perhaps only a little annoying.

Any objections?

Warren Togami
wtogami redhat com


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]